Bug 969454 - Update rpm build scripts to generate gdbindex for debuginfo rpm's.
Update rpm build scripts to generate gdbindex for debuginfo rpm's.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dwz (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Jakub Jelinek
Patrik Kis
: FutureFeature, Triaged
Depends On: 652787
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 09:01 EDT by Patrik Kis
Modified: 2014-06-13 08:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: dwz-0.11-1.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Jan Kratochvil 2013-06-08 12:06:02 EDT
find-debuginfo runs gdb first and then dwz.
gdb now produces .gdb_index version 8 but dwz supports .gdb_index <= version 7.

I have asked about the version 7 <-> 8 real difference as it is not clear to me:
http://sourceware.org/ml/gdb-patches/2013-06/msg00190.html
Comment 3 Jan Kratochvil 2013-06-12 14:17:53 EDT
dwz needs only a supported versions update:

On Wed, 12 Jun 2013 01:39:43 +0200, Doug Evans wrote:
> There is no change in the file format or semantics between 7 and 8, so
> no change should be needed for dwz.
Comment 4 Jakub Jelinek 2013-08-28 07:46:18 EDT
dwz-0.11-1.el7 should support .gdb_index 8.
Comment 7 Ludek Smid 2014-06-13 08:46:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.